clang 8.0.0

Classes | Namespaces | Functions
NamespaceEndCommentsFixer.h File Reference

This file declares NamespaceEndCommentsFixer, a TokenAnalyzer that fixes namespace end comments. More...

`#include "TokenAnalyzer.h"`
Include dependency graph for NamespaceEndCommentsFixer.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::format::NamespaceEndCommentsFixer

## Namespaces
| clang
| Dataflow Directional Tag Classes.
| clang::format

## Functions
const FormatToken * | clang::format::getNamespaceToken (const AnnotatedLine *Line, const SmallVectorImpl< AnnotatedLine *> &AnnotatedLines)

## Detailed Description

This file declares NamespaceEndCommentsFixer, a TokenAnalyzer that fixes namespace end comments.

Definition in file NamespaceEndCommentsFixer.h.